Request
Send your HTTP requests with an Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password Example:Authorization: Basic *****************
Body Params application/json
{
"external_id": "MNT1009832"
}
Request Code Samples
curl --location 'http://pay.tripingram.local/card/storage/resolve/1' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
"external_id": "MNT1009832"
}'
Responses
application/json
{
"data": [
{
"id": 1,
"uuid": "F38A343E-9287-43A0-856F-46CF98146986",
"customer_id": 1,
"card_holder": "John Due",
"card_association": "mastercard",
"card_family": "bonus",
"card_token": "3dhs8389sksj",
"card_expiry": "12/25",
"card_mask": "528493******9988",
"active": true
}
],
"success": true,
"code": 0,
"message": ""
}
Modified at 2024-01-30 03:12:17